---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dashy
spec:
  selector:
    matchLabels:
      container: dashy
  template:
    metadata:
      labels:
        container: dashy
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - image: ghcr.io/lissy93/dashy:3.1.0
        name: dashy
        volumeMounts:
        - mountPath: /app/user-data
          name: longhorn-own-data
          subPath: data/dashy
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

